defmodule Forum.Email do
  use Bamboo.Phoenix, view: ForumWeb.EmailView

  def base_mail(user) do
    new_email()
    |> to("#{user.name}@tilde.team")
    |> from("forum@tilde.team")
    |> put_header("Reply-To", "forum@tilde.team")
    |> put_layout({ForumWeb.LayoutView, :email})
  end

  def mention(user, post) do
    base_mail(user)
    |> subject("new mention on forum.tilde.team!")
    |> assign(:post, post)
    |> assign(:mentioner_name, post.user.name)
    |> render(:mention)
  end

  def notification(user, message) do
    base_mail(user)
    |> subject("tilde~forum notification")
    |> assign(:message, message)
    |> render(:notification)
  end
end
