defmodule Forum.Thread do
  use Ecto.Schema
  import Ecto.Changeset
  alias Forum.Thread

  schema "threads" do
    field(:name, :string)
    field(:sticky, :boolean)

    has_many(:posts, Forum.Post)
    belongs_to(:user, Forum.User)

    timestamps()
  end

  @doc false
  def changeset(%Thread{} = thread, attrs) do
    thread
    |> cast(attrs, [:name, :user_id, :sticky])
    |> validate_required([:name, :user_id])
    |> foreign_key_constraint(:user_id)
  end
end
