defmodule ForumWeb.Plugs.RequireAuth do
  import Plug.Conn
  use Phoenix.Controller, namespace: ForumWeb

  def init(default), do: default

  def call(conn, _params) do
    if get_session(conn, :loggedin) do
      conn
    else
      conn
      |> put_session(:redirect_url, conn.request_path)
      |> put_flash(:info, "please log in or register")
      |> redirect(to: "/auth")
      |> halt()
    end
  end
end
